## loci.formats
Class CRC

    java.lang.Object
      loci.formats.CRC

class CRC
extends Object

A simple class the hold and calculate the CRC for sanity checking of the data.

Field Summary
`static int[]` `crc32Table`
`(package private) int` `globalCrc`

Constructor Summary
`CRC()`

Method Summary
`(package private) int` `getFinalCRC()`
`(package private) int` `getGlobalCRC()`
`(package private) void` `initialiseCRC()`
`(package private) void` `setGlobalCRC(int newCrc)`
`(package private) void` `updateCRC(int inCh)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### crc32Table

    public static int[] crc32Table

### globalCrc

    int globalCrc

Constructor Detail

### CRC

    public CRC()

Method Detail

### initialiseCRC

    void initialiseCRC()

### getFinalCRC

    int getFinalCRC()

### getGlobalCRC

    int getGlobalCRC()

### setGlobalCRC

    void setGlobalCRC(int newCrc)

### updateCRC

    void updateCRC(int inCh)